using Newtonsoft.Json;
using System.ComponentModel;
using System;

namespace inutralia.Models
{
	[JsonObject(MemberSerialization.OptIn)]
	[DataPath("menu")]
	public class Menu : MenuBase
	{
		[JsonProperty("recomendation", DefaultValueHandling = DefaultValueHandling.Populate)]
		[DefaultValue("")]
		public string Recomendation
		{ get; set; }

		[JsonProperty("intro", DefaultValueHandling = DefaultValueHandling.Populate)]
		[DefaultValue("")]
		public string Intro
		{ get; set; }

        public override string Title
        {
            get
            {
                return "Mi menú personalizado";
            }
        }

        public Menu()
		{
		}
	}
}
